import 'package:dcoupon_sdk_flutter_package/src/utils/constants.dart';

class RedemptionGetUserRedemptionSummaryQuery {
  final String groupBy;
  final String? startDate;
  final String? endDate;
  final int? gmtTimeZoneOffset;

  RedemptionGetUserRedemptionSummaryQuery({
    required this.groupBy,
    this.startDate,
    this.endDate,
    this.gmtTimeZoneOffset,
  });

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data[Constants.GROUP_BY] = groupBy;
    data[Constants.INITIAL_DATE] = startDate;
    data[Constants.END_DATE] = endDate;
    data[Constants.GMT_TIME_ZONE_OFFSET] = gmtTimeZoneOffset;
    return data;
  }
}
