import 'package:dcoupon_sdk_flutter_package/src/utils/constants.dart';

class UserAddOrUpdateLoyaltyCardRequest {
  final String affiliateApiToken;
  final Map<String, dynamic> formData;

  UserAddOrUpdateLoyaltyCardRequest({
    required this.affiliateApiToken,
    required this.formData,
  });

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data[Constants.API_TOKEN_AFFILIATE] = affiliateApiToken;
    data[Constants.FORM_DATA] = formData;
    return data;
  }
}
