import 'package:dcoupon_sdk_flutter_package/src/utils/constants.dart';


class UserUpdateUserDataRequest {
  final String? alias;
  final String? gender;
  final String? birthdate;

  UserUpdateUserDataRequest({
    required this.alias,
    required this.gender,
    required this.birthdate,
  });

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data[Constants.ALIAS] = alias;
    data[Constants.GENDER] = gender;
    data[Constants.BIRTHDATE] = birthdate;
    return data;
  }
}
