import 'package:dcoupon_sdk_flutter_package/src/utils/constants.dart';

class CouponCreateUserCouponsRequest {
  final List<String>? promotionTokens;
  final String? latitude;
  final String? longitude;
  final String? saveMethod;
  final String? utmSource;
  final String? transId;
  final String? crmId;
  final String? publisherToken;

  CouponCreateUserCouponsRequest({
    this.promotionTokens,
    this.latitude,
    this.longitude,
    this.saveMethod,
    this.utmSource,
    this.transId,
    this.crmId,
    this.publisherToken,
  });

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data[Constants.PROMO_TOKENS] = promotionTokens;
    data[Constants.CREATION_LATITUDE] = latitude;
    data[Constants.CREATION_LONGITUDE] = longitude;
    data[Constants.PLATFORM] = 'APP';
    data[Constants.SAVE_METHOD] = saveMethod;
    data[Constants.SOURCE] = utmSource;
    data[Constants.TRANS_ID] = transId;
    data[Constants.CRM_ID] = crmId;
    data[Constants.PUBLISHER_ID] = publisherToken;
    return data;
  }
}
