import 'package:dcoupon_sdk_flutter_package/src/utils/constants.dart';

class UserAcceptEnrollmentFormRequest {
  final String? jwt;
  final List<String>? legalDocumentsAccepted;

  UserAcceptEnrollmentFormRequest({
    required this.jwt,
    required this.legalDocumentsAccepted,
  });

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data[Constants.JWT] = jwt;
    data[Constants.LEGAL_DOCS_IDS] = legalDocumentsAccepted;
    return data;
  }
}
