import 'package:dcoupon_sdk_flutter_package/src/data/models/enrollment_form_model.dart';
import 'package:dcoupon_sdk_flutter_package/src/utils/constants.dart';

class UserGetEnrollmentFormResponse {
  final EnrollmentFormModel? enrollmentFormModel;

  UserGetEnrollmentFormResponse({
    this.enrollmentFormModel,
  });

  factory UserGetEnrollmentFormResponse.fromJson(Map<String, dynamic> json) {
    return UserGetEnrollmentFormResponse(
      enrollmentFormModel: EnrollmentFormModel.fromJson(json[Constants.FORM]),
    );
  }
}
