import 'package:dartz/dartz.dart';
import 'package:dcoupon_sdk_flutter_package/src/core/error/failures.dart';

abstract class StoreRepository {
  Future<Either<Failure, dynamic>> getStores({
    String? promotionToken,
    int? start,
    int? limit,
    List<String>? retailerTokens,
    String? zipcode,
    String? latitude,
    String? longitude,
    String? radius,
    String? publisherToken,
  });
}
